# Create a consent category

<div class="op-path-box"><span class="op-http-method-post">POST</span> /v3/consent-categories</div>

Endpoint: POST /v3/consent-categories
Security: API_Key

## Request fields (application/json):

  - `name` (string, required)

  - `notes` (string)

  - `type` (string, required)
    Enum: "approved", "unapproved"

  - `isDefaultCC` (boolean)
    If true, this is the default consent category

  - `cmpData` (object)

  - `cmpData.cmpVendor` (string, required)
    Enum: "ONE_TRUST"

  - `cmpData.oneTrustCookieGroupDescription` (string)
    The OneTrust provided description of the group

  - `cmpData.oneTrustCookieGroupDomain` (string, required)
    The domain reported by OneTrust for which the consent group applies
    Example: observepoint.com

  - `cmpData.oneTrustCookieGroupId` (string, required)
    The OneTrust ID for the group
    Example: C001

  - `cmpData.oneTrustCookieGroupGeo` (string, required)
    The geographic location for which the consent group applies
    Example: us, ut

  - `cmpData.sourceUrl` (string)
    The full URL of the page where the CMP import was run
    Example: https://example.com

## Response 200 fields (application/json):

  - `name` (string)

  - `notes` (string)

  - `type` (string)
    Enum: "approved", "unapproved"

  - `id` (integer)
    ID of consent category
    Example: 3301

  - `isDefaultCC` (boolean)
    If true, this is the default consent category

  - `cmpData` (object)

  - `cmpData.cmpVendor` (string, required)
    Enum: "ONE_TRUST"

  - `cmpData.oneTrustCookieGroupDescription` (string)
    The OneTrust provided description of the group

  - `cmpData.oneTrustCookieGroupDomain` (string, required)
    The domain reported by OneTrust for which the consent group applies
    Example: observepoint.com

  - `cmpData.oneTrustCookieGroupId` (string, required)
    The OneTrust ID for the group
    Example: C001

  - `cmpData.oneTrustCookieGroupGeo` (string, required)
    The geographic location for which the consent group applies
    Example: us, ut

  - `cmpData.sourceUrl` (string)
    The full URL of the page where the CMP import was run
    Example: https://example.com

  - `updatedType` (string)
    Enum: "ONETRUST_IMPORT", "FILE_IMPORT", "APP_CREATE"

  - `updatedAt` (string)
    The last time this consent category was updated in UTC timezone

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

